package com.tanpu.fund.feign.hangjia;

import com.tanpu.common.model.tanpuroom.Type;
import com.tanpu.common.resp.CommonResp;
import io.swagger.annotations.ApiOperation;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

//@FeignClient(value = "service-product", url = "http://127.0.0.1:8194/product")
@FeignClient(value = "service-hangjia-back", url = "${tanpu.hangjia-back.svc:}", path = "/api")
public interface FeignForHangjia {

    @GetMapping("/tamp/cache/fund/nav/reload")
    CommonResp reloadFundNav4Ifa(@RequestParam("sign") String sign, @RequestParam("ifa_id") String ifaId);

    @GetMapping("/tamp/cache/fund/nav/reload")
    CommonResp reloadMostUsedFundNav(@RequestParam("sign") String sign, @RequestParam("limit") int limit);

}
